<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE TaskDefinition PUBLIC "sailpoint.dtd" "sailpoint.dtd">
<TaskDefinition name="BNT Account Attributes Live Report" resultAction="Rename" subType="Identity and User Reports" type="LiveReport">
  <Attributes>
    <Map>
      <entry key="TaskSchedule.host"/>
      <entry key="disableDetail" value="false"/>
      <entry key="disableHeader" value="false"/>
      <entry key="disableSummary" value="false"/>
      <entry key="dontEmailEmptyReport">
        <value>
          <Boolean/>
        </value>
      </entry>
      <entry key="enableCsvHeader" value="false"/>
      <entry key="identityApplication">
        <value>
          <List>
            <String>BNT Active Directory</String>
          </List>
        </value>
      </entry>
      <entry key="reportColumnOrder" value="identity, firstname, lastname, account, application, attribute, value"/>
      <entry key="showScopes">
        <value>
          <Boolean/>
        </value>
      </entry>
    </Map>
  </Attributes>
  <Description>A detailed view of each identity and the entitlements that they are assigned.</Description>
  <Owner>
    <Reference class="sailpoint.object.Identity" name="Sai.Teja.Anupindi"/>
  </Owner>
  <Parent>
    <Reference class="sailpoint.object.TaskDefinition" name="Account Attributes Live Report"/>
  </Parent>
  <Signature>
    <Inputs>
      <Argument multi="true" name="groupDefinitions" type="string">
        <Description>rept_input_user_report_group_definition</Description>
      </Argument>
      <Argument name="firstname" type="string">
        <Description>rept_input_user_report_fname</Description>
      </Argument>
      <Argument name="lastname" type="string">
        <Description>rept_input_user_report_lname</Description>
      </Argument>
      <Argument name="capabilities" type="string">
        <Description>rept_input_user_report_capabilities</Description>
      </Argument>
      <Argument name="inactive" type="boolean">
        <Description>rept_input_user_report_inactive</Description>
      </Argument>
      <Argument name="showScopes" type="boolean">
        <Description>rept_input_user_report_scopes_caps</Description>
      </Argument>
      <Argument name="lastLogin" type="date">
        <Description>rept_input_user_report_last_login</Description>
      </Argument>
      <Argument name="lastRefresh" type="date">
        <Description>rept_input_user_report_last_refresh</Description>
      </Argument>
      <Argument name="email" type="string">
        <Description>rept_input_user_report_email</Description>
      </Argument>
      <Argument multi="true" name="identityApplication" type="Application">
        <Description>rept_input_user_report_apps</Description>
      </Argument>
      <Argument filterString="managerStatus == true" multi="true" name="managers" type="Identity">
        <Description>rept_input_user_report_mgrs</Description>
      </Argument>
      <Argument name="_attr_firstname" type="string"/>
      <Argument name="_attr_lastname" type="string"/>
      <Argument name="_attr_displayName" type="string"/>
      <Argument name="_attr_email" type="string"/>
      <Argument name="_attr_manager" type="sailpoint.object.Identity"/>
      <Argument name="_attr_inactive" type="boolean"/>
      <Argument name="_attr_company" type="string"/>
      <Argument name="_attr_costCenter" type="string"/>
      <Argument name="_attr_personId" type="string"/>
      <Argument name="_attr_terminationDate" type="string"/>
      <Argument name="_attr_jobTitle" type="string"/>
      <Argument name="_attr_userId" type="string"/>
      <Argument name="_attr_team" type="string"/>
      <Argument name="_attr_candidateId" type="string"/>
      <Argument name="_attr_division" type="string"/>
      <Argument name="_attr_costCenterID" type="string"/>
      <Argument name="_attr_department" type="string"/>
      <Argument name="_attr_location" type="string"/>
      <Argument name="_attr_city" type="string"/>
      <Argument name="_attr_streetAddress" type="string"/>
      <Argument name="_attr_zipCode" type="string"/>
      <Argument name="_attr_State" type="string"/>
      <Argument name="_attr_mobile" type="string"/>
      <Argument name="_attr_telephoneNumber" type="string"/>
      <Argument name="_attr_preferredLanguage" type="string"/>
      <Argument name="_attr_locationCode" type="string"/>
      <Argument name="_attr_nationality" type="string"/>
      <Argument name="_attr_employeeStatus" type="string"/>
      <Argument name="_attr_employeeType" type="string"/>
      <Argument name="_attr_country" type="string"/>
      <Argument name="_attr_startDate" type="string"/>
      <Argument name="_attr_isPrejoiner" type="string"/>
      <Argument name="_attr_academicTitle" type="string"/>
      <Argument name="_attr_bntId" type="string"/>
    </Inputs>
  </Signature>
</TaskDefinition>